:root{
  --text-color: #FCFEFF;
  --secondary-text-color:#A3ACB4;
  --primary-color:#0C0E12;
  --secondary-color:#1a1d2591;
  --button-color:#C2F22E;
  --dropdown-color:#1a1d25;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul, li{
  text-decoration: none;
  list-style: none;
}

body {
  background-color: var(--primary-color);
  color: var(--secondary-text-color);
  font-family: 'Inter', sans-serif;
  overflow-x: hidden;
  height: 100%;
  display: flex;
  flex-direction: column;
}

header {
  max-width: 1200px;
  width: 100%;
  padding: 2rem 1rem;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  display: flex;
  align-items: center;
}

.logo h2 {
  font-family: 'Jomhuria', cursive;
  font-size: 64px;
  color: var(--text-color);
  height: 50px;
}

.logo span {
  color: var(--button-color);
  font-size: 40px;
}

.button-container {
  display: flex;
  justify-content: center;
  gap: 2rem;
}

.button-container a {
  color: var(--secondary-text-color);
  text-decoration: none;
  font-size: 17px;
  letter-spacing: 0.08em;
  margin-top: 10px;
  transition: transform 0.3s;
}

.button-container a:hover {
  transform: scale(1.1);
}

.contact-us {
  background-color: var(--button-color);
  color: #1B2B32;
  padding: 0.6rem 1.5rem;
  border-radius: 10px;
  font-weight: 700;
  text-decoration: none;
  transition: transform 0.3s;
}

.contact-us:hover {
  transform: scale(1.1);
}

main {
  flex: 1;
  max-width: 1200px;
  margin: 0 auto;
  padding: 3rem 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

.main-text {
  width: 550px;
  height: 500px;
  position: absolute;
  left: 50%;
  transform: translate(-50%, -25%);
  z-index: -2;
  background-color: var(--secondary-color);
}

.main-text h1 {
  font-size: 150px;
}

h1 {
  font-family: 'Jomhuria', cursive;
  width: max-content;
  font-size: 96px;
  color: var(--text-color);
  line-height: 0.5;
  margin-top: 100px;
  z-index: -2;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0%);
  text-align: center;
}

.text-container {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  width: 100%;
  margin-top: 100px;
  position: relative;
  gap: 700px;
  z-index: 2;
}

.speed-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  background: var(--secondary-color);
  border-radius: 20px;
  padding: 1.5rem;
  text-align: center;
  width: 220px;
  height: 250px;
}

.speed {
  display: flex;
  flex-direction: column;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  border: 8px solid var(--button-color);
  justify-content: center;
  align-items: center;
}

.speed span {
  font-weight: 700px;
  font-size: 24px;
  color: var(--text-color);
}

.speed h3 {
  font-size: 13px;
  color: var(--text-color);
}

.uninterrupted {
  font-weight: 700px;
  color: var(--text-color);
  letter-spacing: 0.08em;
}

.text {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.text p {
  margin-top: 0;
  max-width: 250px;
  color: var(--text-color);
  line-height: 1.5;
  text-align: left;
}


.car-image img {
  width: 65%;
  max-width: 950px;
  height: auto;
  filter: drop-shadow(20px 20px 20px #0A2547);
  position: absolute;
  top: 2px; 
  left: 50%;
  transform: translateX(-50%);
  z-index: -1;
}

.secondary-buttons {
  display: flex;
  background-color: var(--secondary-color);
  justify-content: space-around;
  align-items: center;
  width: fit-content;
  height: 100px;
  padding: 1rem 2rem;
  border-radius: 10px;
  gap: 76px;
  margin: 30px auto 0 auto;
}

/* DropDown menu */
.dropdown-menu{
  display: flex;
  gap: 2px;
}

.dropdown-menu li{
  width: 150px;
  height: 30px;
  position: relative;
}

.dropdown-menu a{
  text-decoration: none;
  color: var(--secondary-text-color);
  display: block;
  display: flex;
  background-color: var(--secondary-color);
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 1rem;
  transition: all .2s linear;

}

.dropdown-menu li:hover > a{
  background-color: var(--secondary-text-color);
  color: var(--text-color);
}

.dropdown-menu li:hover > .dropdown-secondary-menu{
  display: block;
}

.dropdown-secondary-menu{
  display: none;
  margin-top: 1px;
  position: absolute;
  z-index: 10;
}

.dropdown-secondary-menu a{
  background-color: var(--dropdown-color);
  width: 150%;
  display: flex;
  justify-content: flex-start;
  padding-left: 20px;
  font-size: .8rem;
  border-left: 8px solid transparent;
}

.dropdown-secondary-menu li:hover > a{
  border-left: 8px solid black;
}

.secondary-buttons h3 {
  font-size: 1rem;
  display: flex;
  align-items: center;
  gap: 5px;
}

.secondary-buttons img {
  height: 13px;
}

.get-start {
  background-color: var(--button-color);
  color: #1B2B32;
  border-radius: 10px;
  font-weight: 600;
  text-decoration: none;
  width: 110px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s;
}

.get-start:hover {
  transform: scale(1.1);
}

footer {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: 3rem 0;
  margin-top: 0;
}

.footer {
  background-color: var(--secondary-color);
  padding: 30px 30px;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 1100px;
  width: 90%;
}

.footer img {
  width: 100%;
  height: auto;
  filter: brightness(0.9);
}

.logo-empresa{
  width: 40px;
  height: 20px;
  background-color: var(--button-color);
  border-radius: 200px 0px 200px 0px;
}



/* -------- Telas Medias -------- */
@media (min-width: 1440px) {
  .main-text {
    width: 55%;
    height: 55vh;
    transform: translate(-50%, -15%);
    top: -1%;
  }

  .main-text h1 {
    font-size: 9vw;
    margin-top: 110px;
  }

  .car-image img {
    width: 55%;
    top: 0%;
  }

  .text-container {
    margin-top: 200px;
    gap: 900px;
    width: max-content;
  }

  .button-container{
    margin-right: 20px;
  }
}

/* -------- Telas Grandes -------- */
@media (min-width: 1900px) {
  .main-text {
    width: 65%;
    height: 55vh;
    transform: translate(-50%, -15%);
    top: 5%;
  }

  .main-text h1 {
    font-size: 9vw;
    margin-top: 110px;
  }

  .car-image img {
    width: 55%;
    top: 0%;
  }

  .text-container {
    margin-top: 200px;
    gap: 900px;
    width: max-content;
  }

  .button-container{
    margin-right: 20px;
  }
}

/* -------- TABLET -------- */
@media (max-width: 1024px) {
  .speed-container,
  #contact-us,
  .contact-us {
    display: none;
  }

  .car-image img {
    width: 80%;
    top: 17%;
  }

  .text-container {
    justify-content: center;
    text-align: center;
  }

  .text {
    justify-content: center;
    margin-top:40px;
  }

  .text p{
    text-align: center;
  }

  header {
    flex-direction: column;
    text-align: center;
    gap: 10px;
  }

  .footer img {
    width: 80%;
  }

  .footer{
    margin-top: 50px;
  }

  .secondary-buttons{
    margin-top: 120px;
  }
}

/* -------- MOBILE -------- */
@media (max-width: 480px) {

  .button-container a{
    font-size: 12px;
  }

  .car-image img {
    width: 95%;
    top: 50%;
  }

  .main-text {
    max-width: 300px;
    top: 20%;
  }

  .main-text h1 {
    font-size: 70px;
  }

  .dropdown-menu{
    display: flex;
    flex-direction: column;

  }

  .dropdown-menu li{
    width: 80px;
  }

  .secondary-buttons {
    display: flex;
    flex-direction: column;
    gap:13px;
    margin-top: 50%;
    height: fit-content;
  }

  .secondary-buttons h3 {
    font-size: 12px;
  }

  .footer img {
    width: 100%;
  }


  .text p{
    text-align: center;
  }
}

